%define upstream_name    URI-Title
%define upstream_version 1.86

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Module to get the titles of things on the web in a sensible way
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/URI/URI-Title-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Type) >= 0.220.0
BuildRequires: perl(HTML::Parser) >= 3.450.0
BuildRequires: perl(Image::Size)
BuildRequires: perl(LWP::Simple)
BuildRequires: perl(MP3::Info)
BuildRequires: perl(Module::Pluggable) >= 1.200.0
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
Perl module to get the titles of things on the web in a sensible way.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
# broken with encoding, I do not know why 
#make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc Changes META.yml MYMETA.yml
%{perl_vendorlib}/URI/*
%{_mandir}/man3/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.860.0-2.mga3
+ Revision: 374578
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 1.860.0-1.mga3
+ Revision: 255556
- update to 1.86

* Fri Jun 17 2011 jquelin <jquelin> 1.850.0-1.mga2
+ Revision: 109021
- update to 1.85

* Mon Jan 24 2011 jquelin <jquelin> 1.820.0-1.mga1
+ Revision: 37214
- mageia rebuild
- imported package perl-URI-Title

